import { select, range } from 'd3';
import { dish } from './dish';

const svg = select('svg');
let food;

const render = () => {
  dish(svg, {
    food,
    height: +svg.attr('height')
  });
};

// 5 piece of Bacon.
const makeFood = type => ({ type });
food = range(5).map(() => makeFood('bacon'));
render();

// Eat an Bacon.
setTimeout(() => {
  food.pop();
  render();
}, 1000);

// Your mom replace an egg with bacon.
setTimeout(() => {
  food[2].type = 'egg';
  render();
}, 2000);

// Your mom replace a nother egg with bacon.
setTimeout(() => {
  food[3].type = 'egg';
  render();
}, 3000);

// Your mom replace an avocado with bacon.
setTimeout(() => {
  food[1].type = 'avocado';
  render();
}, 4000);

// Eat an egg.
setTimeout(() => {
  food = food.filter((d, i) => i !== 3);
  render();
}, 5000);